<?php
// Hak Cipta dilindungi Undang-undang. Hak Cipta : Khamdi Rahmani, Reg. Kemenkum HAM No : 000121327. Dilarang merubah isi File tanpa ijin tertulis dari pemegang Hak Cipta.-->

error_reporting(1);
include "../../asset/bootstrap/asset/phpqrcode/qrlib.php";
require "../../asset/bootstrap/asset/fpdf/fpdf.php";


$view = new lembaga;
$format = new format;
$sekolah = new sekolah;
$time = new time;
$crud = new crudData;
$clssekolah = new sekolah;
$simakom_rkas = new simakom_rkas;

$uraian_kategori = $simakom_rkas->uraianRKAS('simakom_ref_kategori', 'kategori', $data->rkas_kategori, 'uraian');
$uraian_kegiatan = $simakom_rkas->uraianRKAS($tb_kegiatan, 'kegiatan', $data->rkas_kegiatan, 'uraian');
$uraian_komponen = $crud->getValue($tb_komponen, " where komponen='$data->rkas_komponen' && kegiatan='$data->rkas_kegiatan'", 'uraian');


$simakom_bendahara_nama = $clssekolah->dataSekolah('simakom_bendahara_nama');
$simakom_bendahara_nip = $clssekolah->dataSekolah('simakom_bendahara_nip');
$simakom_atasan_nama = $clssekolah->dataSekolah('simakom_atasan_nama');
$simakom_atasan_nip = $clssekolah->dataSekolah('simakom_atasan_nip');
$simakom_atasan_jabatan = $clssekolah->dataSekolah('simakom_atasan_jabatan');

$waktu = $format->dateTimeToIndo($time->getTime());

//$code = "Pembayaran sejumlah " . $format->ribuan($jmlKuitansi) . " atas nama $data->nama NIS $data->nis INVOICE $id_tr pada " . $format->dateTimeToIndo($data->time) . " diterima oleh $data->penerima";
//QRCode::png($code, "view/transaksi/qrcodepdf.png", "L", 4, 4);

$pdf = new FPDF("P", "cm", array(29.5, 21.5));
$pdf->SetMargins(1.5, 0.5, 0.6);
$pdf->AliasNbPages();
$pdf->AddPage();
$pdf->SetFont('Arial', 'B', 11);

$pdf->SetAutoPageBreak(false);
$pdf->ln(0.3);
$pdf->Image($view->linkImageFPDF('../../asset/dokumen/foto/', 'logo'), 1.6, 0.7, 0.9, 0.9);
//$pdf->Image($view->linkImageFPDF('view/transaksi/', 'qrcodepdf'), 7.9, 2.9, 1.8, 1.8);

//$pdf->SetFont('Arial', 'I', 5);
//$pdf->Cell(14, 0.4, '', 0, 0, 'C');
//$pdf->Cell(4, 0.5, 'Dicetak pada  :' . $waktu, 0, 1, 'R');

$pdf->SetFont('Arial', 'B', 8);
$pdf->Cell(1.2, 0.5, '', 0, 0, 'C');
$pdf->Cell(9, 0.5, $sekolah->dataSekolah('sekolah'), 0, 1, 'L');


$pdf->SetFont('Arial', '', 7);
$pdf->Cell(1.2, 0.3, '', 0, 0, 'C');
$pdf->Cell(9, 0.3, $sekolah->dataSekolah('alamat'), 0, 1, 'L');

$pdf->SetFont('Arial', 'B', 8);
$pdf->Cell(9, 0.1, '___________________________________', 0, 1, 'L');


$pdf->ln(0.3);

$pdf->SetFont('Arial', 'BU', 11);
$pdf->Cell(20, 0.6, 'KUITANSI PEMBAYARAN', 0, 1, 'C');
$pdf->SetFillColor(255, 255, 255);

$pdf->ln(1);
$pdf->SetFont('Arial', '', 8);

$pdf->Cell(4, 0.5, 'Telah terima dari', 0, 0, 'L');
$pdf->Cell(0.2, 0.5, ':', 0, 0, 'C');
$pdf->Cell(16, 0.5, 'Bendahara ' . $sekolah->dataSekolah('sekolah'), 0, 1, 'L');

$pdf->Cell(4, 0.5, 'Uang Sebesar', 0, 0, 'L');
$pdf->Cell(0.2, 0.5, ':', 0, 0, 'C');
$pdf->SetFont('Arial', 'I', 8);
$pdf->Cell(16, 0.5,  '---' . ucwords($clsFormat->terbilang($data->kredit) . " Rupiah---"), 0, 1, 'L');
$pdf->SetFont('Arial', '', 8);
//$pdf->Cell(16, 0.5,  $data->kredit . " Rupiah", 0, 1, 'L');

$pdf->Cell(4, 0.5, 'Guna Membayar', 0, 0, 'L');
$pdf->Cell(0.2, 0.5, ':', 0, 0, 'C');
$pdf->MultiCell(16, 0.5,  $data->uraian, 0, 1, 'L', false);

$pdf->Cell(4, 0.5, 'Terbilang', 0, 0, 'L');
$pdf->Cell(0.2, 0.5, ':', 0, 0, 'C');
$pdf->SetFont('Arial', 'BI', 8);
$pdf->MultiCell(16, 0.5,  'Rp. ' . $clsFormat->ribuan($data->kredit), 0, 1, 'L', false);

$pdf->SetFont('Arial', '', 8);
$pdf->Cell(2, 0.3, '', 0, 0, 'L');
$pdf->Cell(0.2, 0.3, '', 0, 0, 'C');
$pdf->Cell(7, 0.3,  '', 0, 1, 'L');

$pdf->Cell(4, 0.5, 'Akun/Mata Anggaran', 0, 0, 'L');
$pdf->Cell(0.2, 0.5, ':', 0, 0, 'C');
$pdf->Cell(14, 0.5, $data->rkas_kategori . "." . $data->rkas_kegiatan . "." . $data->rkas_komponen . "." . $data->rkas_akun, 0, 1, 'L');

$pdf->Cell(4, 0.5, 'Uraian Akun', 0, 0, 'L');
$pdf->Cell(0.2, 0.5, ':', 0, 0, 'C');
$pdf->MultiCell(14, 0.5, $uraian_komponen . ' (' . $uraian_kegiatan . ')', 0, 1, 'L', false);

$pdf->Cell(4, 0.5, 'Tahun', 0, 0, 'L');
$pdf->Cell(0.2, 0.5, ':', 0, 0, 'C');
$pdf->Cell(16, 0.5, $tahun, 0, 1, 'L');

$pdf->SetFont('Arial', '', 8);
$pdf->Cell(9, 0.1, '_______________________________________________________________', 0, 1, 'L');

$pdf->ln(0.3);


$pdf->ln(0.5);
$pdf->Cell(1.5, 0.4, '', 0, 0, 'C');
$pdf->Cell(6, 0.3, 'Mengetahui,', 0, 0, 'L');
$pdf->Cell(7, 0.3, 'Lunas dibayar tanggal : ' . $format->dateToIndoLong($data->tanggal), 0, 0, 'L');
$pdf->Cell(6, 0.3, $clssekolah->dataSekolah('kota') . ',  ' . $format->dateToIndoLong($data->tanggal), 0, 1, 'L');

$pdf->Cell(1.5, 0.4, '', 0, 0, 'C');
$pdf->Cell(6, 0.3, $simakom_atasan_jabatan, 0, 0, 'L');
$pdf->Cell(7, 0.3, 'Bendahara', 0, 0, 'L');
$pdf->Cell(6, 0.3, 'Penerima', 0, 1, 'L');

$pdf->ln(1.3);

$pdf->Cell(1.5, 0.4, '', 0, 0, 'C');
$pdf->Cell(6, 0.3, $simakom_atasan_nama, 0, 0, 'L');
$pdf->Cell(7, 0.3, $simakom_bendahara_nama, 0, 0, 'L');
$pdf->Cell(6, 0.3,  $data->penerima, 0, 1, 'L');

$pdf->Cell(1.5, 0.4, '', 0, 0, 'C');
$pdf->Cell(6, 0.3, 'NIP. ' . $simakom_atasan_nip, 0, 0, 'L');
$pdf->Cell(7, 0.3, 'NIP. ' . $simakom_bendahara_nip, 0, 0, 'L');
$pdf->Cell(6, 0.3,  $data->penerima_jabatan, 0, 1, 'L');

//Nama file ketika di print
$namaf = "./view/transaksi/kuitansi_pdf.pdf";
$pdf->Output($namaf, "F");
